org.eclipse.jface.viewers

## Class StructuredViewer.ColorAndFontCollector

- java.lang.Object
- - org.eclipse.jface.viewers.StructuredViewer.ColorAndFontCollector

Direct Known Subclasses:
  StructuredViewer.ColorAndFontCollectorWithProviders

Enclosing class:
  StructuredViewer

    protected class StructuredViewer.ColorAndFontCollector
    extends Object

The ColorAndFontCollector collects fonts and colors without a a color or font provider.

### Constructor Summary

Constructors
Constructor and Description
`ColorAndFontCollector()` Create a new instance of the receiver with no color and font provider.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `applyFontsAndColors(TableItem control)` Apply the fonts and colors to the control if required.
`void` `applyFontsAndColors(TableTreeItem control)` Apply the fonts and colors to the control if required.
`void` `applyFontsAndColors(TreeItem control)` Apply the fonts and colors to the control if required.
`void` `clear()` Clear all of the results.
`void` `setBackground(Color background)` Set the background color.
`void` `setFont(Font font)` Set the font.
`void` `setFontsAndColors(Object element)` Set the initial fonts and colors for the element from the content providers.
`void` `setForeground(Color foreground)` Set the foreground color.
`void` `setUsedDecorators()` Set that decorators were applied.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ColorAndFontCollector

    public ColorAndFontCollector()

Create a new instance of the receiver with no color and font provider.

### Method Detail

#### clear

    public void clear()

Clear all of the results.

#### setFontsAndColors

    public void setFontsAndColors(Object element)

Set the initial fonts and colors for the element from the content providers.

Parameters:
  `element` - Object

#### setUsedDecorators

    public void setUsedDecorators()

Set that decorators were applied.

#### applyFontsAndColors

    public void applyFontsAndColors(TableItem control)

Apply the fonts and colors to the control if required.

Parameters:
  `control` -

#### applyFontsAndColors

    public void applyFontsAndColors(TreeItem control)

Apply the fonts and colors to the control if required.

Parameters:
  `control` -

#### applyFontsAndColors

    public void applyFontsAndColors(TableTreeItem control)

Apply the fonts and colors to the control if required.

Parameters:
  `control` -

#### setBackground

    public void setBackground(Color background)

Set the background color.

Parameters:
  `background` -

#### setFont

    public void setFont(Font font)

Set the font.

Parameters:
  `font` -

#### setForeground

    public void setForeground(Color foreground)

Set the foreground color.

Parameters:
  `foreground` -